import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/rechargeplanconfig/` + url, ...arg)

/**
 * 充值方案配置Api接口管理器
 *
 * @author wulei
 * @date  2025/02/04 16:32
 **/
export default {
	// 获取充值方案配置分页
	bizRechargePlanConfigPage(data) {
		return request('page', data, 'get')
	},
	// 提交充值方案配置表单 edit为true时为编辑，默认为新增
	bizRechargePlanConfigSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除充值方案配置
	bizRechargePlanConfigDelete(data) {
		return request('delete', data)
	},
	// 获取充值方案配置详情
	bizRechargePlanConfigDetail(data) {
		return request('detail', data, 'get')
	},
	// 启用充值方案配置详情
	bizRechargePlanConfigEnable(data) {
		return request('enableStatus', data, 'get')
	},
	// 停用充值方案配置详情
	bizRechargePlanConfigDisabled(data) {
		return request('disableStatus', data, 'get')
	}
}
